Unfulfill Order

Updates an order's status to unfulfilled

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site
order_idstringRequiredformat: "uuid"
Unique identifier for an Order

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
orderIdstring
The order ID. Will usually be 6 hex characters, but can also be 9 hex characters if the site has a very large number of orders. Randomly assigned.
statusenum

One of pending, unfulfilled, fulfilled, disputed, dispute-lost, or refunded

commentstring

A comment string for this order editable by API user (not used by Webflow).

orderCommentstring
A comment that the customer left when making their order
acceptedOnstringformat: "date-time"
The ISO8601 timestamp that an order was placed.
disputedOnstringformat: "date-time"
If an order was disputed by the customer, then this key will be set with the ISO8601 timestamp that Stripe notifies Webflow. Null if not disputed.
disputeUpdatedOnstring
If an order was disputed by the customer, then this key will be set with the ISO8601 timestamp of the last time that we got an update. Null if not disputed.
disputeLastStatusstring
If an order was disputed by the customer, then this key will be set with the [dispute's status](https://stripe.com/docs/api#dispute_object-status).
fulfilledOnstringformat: "date-time"
If an order was marked as 'fulfilled', then this is the ISO8601 timestamp when that happened.
refundedOnstringformat: "date-time"
If an order was refunded, this is the ISO8601 of when that happened.
customerPaidobject
The sum of all line items.
netAmountobject
The sum of all line items.
requiresShippingboolean
A boolean indicating whether the order contains one or more purchased items that require shipping.
shippingProviderstring

A string editable by the API user to note the shipping provider used (not used by Webflow).

shippingTrackingstring

A string editable by the API user to note the shipping tracking number for the order (not used by Webflow).

customerInfoobject

An object with the keys fullName and email.

allAddresseslist of objects
All addresses provided by the customer during the ordering flow.
shippingAddressobject
A customer address
billingAddressobject
A customer address
purchasedItemslist of objects
An array of all things that the customer purchased.
stripeDetailsobject
An object with various Stripe IDs, useful for linking into the stripe dashboard.
stripeCardobject
Details on the card used to fulfill this order, if this order was finalized with Stripe.
totalsobject
An object describing various pricing totals.
customDatalist of objects
An array of additional inputs for custom order data gathering. Each object in the array represents an input with a name, and a textInput, textArea, or checkbox value.
downloadFileslist of objects
An array of downloadable file objects.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error